%define _name quick-lounge
%define ver_major 2.0

Name: gnome-applets-extra-%_name
Version: %ver_major.1
Release: alt1

Summary: Organize your preferred applications on the GNOME Panel
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name-applet/%ver_major/%_name-applet-%version.tar.bz2
Source1: %_name-2.0.1-ru.po

%define glib_ver 2.2.3
%define gtk_ver 2.2.4
%define libgnome_ver 2.4.0
%define libgnomeui_ver 2.4.0
%define gnome_vfs_ver 2.4.0
%define glade_ver 2.0.1-alt2
%define panel_ver 2.4.0

Requires: glib2 >= %glib_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libglade2 >= %glade_ver
Requires: gnome-panel >= %panel_ver

BuildPreReq: gnome-common

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libgnome-panel-devel >= %panel_ver

# Automatically added by buildreq on Fri Sep 26 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel esound-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel intltool libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-desktop-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libstartup-notification-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
Organize your preferred applications on the GNOME Panel.

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %_name-applet-%version
%__cp %SOURCE1 po/ru.po

%__subst 's,\(ALL_LINGUAS=\"\),\1ru ,' configure.in

%build
%__rm -f missing
intltoolize --copy --force
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf

%configure --disable-schemas-install
	
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %_name-applet

%post
%post_ldconfig
%gconf2_install %_name

%postun -p %postun_ldconfig

%files -f %_name-applet.lang
%_libdir/bonobo/servers/*
%_libdir/*.so*
%_datadir/gnome-2.0/ui/*
%_datadir/%_name
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Sun Sep 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1
- russian translation.

* Mon Jul 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- 2.0.0

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- First build for Sisyphus.

